<?php
defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

global $cfg;

$pluginName = basename(dirname(__DIR__, 1));

$cfg['plugins'][$pluginName] = cRegistry::getBackendPath() . cRegistry::getConfigValue('path', 'plugins') . $pluginName . DIRECTORY_SEPARATOR;

$customFunctionsFile = cRegistry::getConfigValue('plugins', $pluginName) . 'includes/functions.custom.php';

if (cFileHandler::exists($customFunctionsFile)) {
    plugin_include($pluginName, 'includes/functions.custom.php');
}

plugin_include($pluginName, 'vendor/autoload.php');

$pluginClassesPath = "contenido" . DIRECTORY_SEPARATOR . cRegistry::getConfigValue('path', 'plugins') . $pluginName . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR;

cAutoload::addClassmapConfig([
    'PHPMailer' => $pluginClassesPath . 'PHPMailer.php'
]);